Quick Start to Network Administration

Setting Up a License Server
Expand All
Collapse All
Quick Start to Network Administration

Network deployment of this program requires careful planning and execution. This section gives you quick, step-by-step instructions about how to prepare for deployment, set up a license server, and set up and distribute the program.

If you are not familiar with network administration and deployment, you should read the entire Network Administrator's Guide before you attempt to deploy and administer the program over a network.

Topics in this section

  • Setting Up a License Server
Please send us your comments about this page


Setting Up a License Server

Quick Start to Network Administration
Quick Start to Network Administration
Installing the Network License Manager
Quick Start to Network Administration >
Expand All
Collapse All
Setting Up a License Server

If you are planning to have users run the program using network licenses, you need to use the Network License Manager and the Network License Activation utility.

The Network License Manager helps you configure and manage license servers. The Network License Activation utility helps you get licenses and register them over the Internet.

Topics in this section

  • Installing the Network License Manager
  • Installing and Using the Network License Activation Utility
  • Configuring the License Server


Installing the Network License Manager

Setting Up a License Server
Setting Up a License Server
Installing and Using the Network License Activation Utility
Quick Start to Network Administration > Setting Up a License Server >
Expand All
Collapse All
Installing the Network License Manager

The Network License Manager is used to configure and manage the license servers.

To install your Network License Manager

  1. In the Autodesk Quantity Takeoff 2011 Installation wizard, click Install Tools and Utilities.
  2. On the Select the Products to Install page, select Autodesk Network License Manager and click Next.
  3. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  4. On the Review - Configure - Install page, review your product selection and the current settings. If you don’t want to make any changes, click Install. If you want to change the install type or installation path, click Configure.
  5. On the Location page, accept the default installation path (C:\Program Files\Autodesk Network License Manager\) or Browse to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide. Click Next.
    WarningDo not install the Network License Manager on a remote drive. When you install the Network License Manager files, you must provide a path to a local drive. You must specify the drive letter; the universal naming convention (UNC) is not supported.
  6. On the Configuration Complete page, click Configuration Complete to return to the confirmation page.
  7. On the Review - Configure - Install page, click Install.
  8. When the Installation Complete page displays, click Finish.


Installing and Using the Network License Activation Utility

Installing the Network License Manager
Setting Up a License Server
Configuring the License Server
Quick Start to Network Administration > Setting Up a License Server >
Expand All
Collapse All
Installing and Using the Network License Activation Utility

With the Network License Activation utility, you can obtain licenses over the Internet, which saves time and effort in setting up a network-licensed version of the program. In addition, you can register your product, get automated support by email if you cannot obtain a license over the Internet, and save and migrate license files automatically.

To install your Network License Activation utility

  1. In the Autodesk Quantity Takeoff 2011 Installation wizard, click Install Tools and Utilities.
  2. On the Select the Products to Install page, select Autodesk Quantity Takeoff Network License Activation Utility and click Next.
  3. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  4. On the Review - Configure - Install page, review your product selection and the current settings. If you don’t want to make any changes, click Install. If you want to change the install type or installation path, click Configure.
  5. On the Location page, either accept the default installation path (C:\Program Files\Autodesk Network License Manager\Network License Activation Utility\enu\) or Browse to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide. Click Next.
  6. On the Configuration Complete page, click Configuration Complete to return to the confirmation page.
  7. On the Review - Configure - Install page, click Install.
  8. When the Installation Complete page displays, click Finish.

To use your Network License Activation utility

  1. Click Start menu [image] Programs (Windows XP) or All Programs (Windows Vista) [image] Autodesk [image] Network License Manager [image] Autodesk Quantity Takeoff Network License Activation Utility.
  2. On the Obtain a Network License page, choose Direct Connect (over the internet) or Send the request by email, fax or phone, and then click Next.
    TipDepending on which option you choose, you may want to obtain your Network License before starting your installation.
  3. On the Server Information page, enter the product serial number.
    NoteIf you are modifying an existing license file or obtaining a new license for an existing product, your previously entered information might be displayed. Make sure that the serial number that is displayed is the one you want to license. If it is not, enter the correct product serial number.
  4. In the License Server Model section, click a license server model. For more information about each license server model, click the ? button.
  5. In the Server Host Name box, enter a server host name or click the [...] button to locate the name of each server you plan to use.
  6. In the Host ID box, for each server host name you entered in the previous step, click Lookup to have the utility automatically locate the host ID for the server, or enter the host ID manually.
    NoteIf your server has more than one network adapter, select the one that corresponds to a physical network adapter. To determine which adapters are physical, enter ipconfig /all at a Windows command prompt and view the Description field above each physical address. If there is more than one physical network adapter, you can use any one of them, as long as it was listed when you ran ipconfig /all. Logical devices such as VPN adapters, PPP adapters, and modems may be listed but are not usable for licensing.
  7. If you chose Distributed Server in step 4, the Seats box is displayed. In the Seats box, enter the number of seats for each license server, and then click Next.
  8. On the Confirm Server Information page, review the server information you entered, and click Next.
  9. If the Register and License Your Autodesk Product page is displayed, do all of the following, and then click Next.
    • In the This Product Is To Be Registered To option, select Company or Individual.
    • In the Select Country or Region section, select your country or region of residence.
    • In the Is This an Upgrade section, select Yes or No.
  10. If the Registration Information page is displayed, enter your registration information, and then click Next.
  11. If the Confirm Information page is displayed, review your registration information, and then click Next.
  12. If the Connecting page is displayed, click Next to connect to the Internet to obtain your network license.
  13. On the Licenses Received page, in the Save License File for [computer name] dialog box, enter the location where you want to save your license file, or click Browse to navigate to the location.
    NoteIt is recommended that you save your license file to the location where you installed the Network License Manager.
  14. If you have an existing license file from another Autodesk product, select one of the following options:
    • Insert the New License Information Into It. The new license information is added into the existing license file.
    • Overwrite the Existing License File. The entire contents of the existing license file is replaced with the new license information. Select this option only if you no longer require any part of the existing license file contents.
  15. Click Next.
  16. On the License Activation Successful page, click Print to save a printed copy of the license information, or click Done to complete the transaction and exit the Network Activation utility.


Configuring the License Server

Installing and Using the Network License Activation Utility
Setting Up a License Server
Network Administration and Deployment
Quick Start to Network Administration > Setting Up a License Server >
Expand All
Collapse All
Configuring the License Server

You configure a license server so that you can manage the Autodesk product licenses you received when you ran the Network License Activation utility. Configure the license server with the lmtools.exe utility.

To configure your license server

You should be logged in with Administrator rights when working with the LMTOOLS utility.

  1. Do one of the following:
    • Click Start menu [image] Programs (Windows XP) or All Programs (Windows Vista) [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • Right-click the LMTOOLS icon (Windows Vista) on the desktop and click Run As Administrator.
  2. In the Lmtools program, on the Service/License File tab, select the Configure Using Services option.
  3. Click the Config Services tab.
  4. On the Config Services tab, in the Service Name list, select a service name or do one of the following:
    • If a service name is selected, verify that it is the one you want to use to manage licenses.
    • If no service name exists, enter the service name you want to use to manage licenses.
    NoteIf you have more than one software vendor using FLEXlm® for license management, the Service Name list contains more than one option.
  5. In the Path to Lmgrd.exe File box, enter the path to the Network License Manager daemon (lmgrd.exe), or click Browse to locate the file.

    By default, this daemon is installed in the \Program Files\Autodesk Network License Manager folder.

  6. In the Path to the License File box, enter the path to your license file, or click Browse to locate the file.
  7. In the Path to the Debug Log File box, enter a path to create a debug log, or click Browse to locate an existing log file.
  8. To run lmgrd.exe as a service, select Use Services.
  9. To automatically start lmgrd.exe when the system starts, select Start Server at Power Up.
  10. Click Save Service to save the new configuration under the service name you selected in step 4. Then click Yes.
  11. Click the Start/Stop/Reread tab.
  12. On the Start/Stop/Reread tab, do one of the following:
    • If a service has not yet been defined for Autodesk, click Start Server to start the license server.
    • If a service for Autodesk is already defined and running, click ReRead to refresh the Network License Manager with any changes made to the license file or Options file.

      The license server starts running and is ready to respond to client requests.

  13. Close lmtools.exe.


Network Administration and Deployment

Configuring the License Server
Preparing for Network Deployment
Expand All
Collapse All
Network Administration and Deployment

The deployment process provides you with numerous options for creating, and customizing your deployments, so you should set aside ample time to complete the process in one sitting. To be successful, it is recommended that you review the following checklist and information before you begin. The deployment process is initiated from the installation wizard's Create Deployments selection. Once a deployment is created, users then access the deployment to install products to their computers.

Topics in this section

  • Preparing for Network Deployment
  • Configuring Individual Products
  • Deployment Options
  • Creating a Default Deployment
  • Creating a Custom Deployment
  • Modifying a Deployment
  • Pointing Users to an Administrative Image


Preparing for Network Deployment

Network Administration and Deployment
Network Administration and Deployment
System Requirements for This Program
Network Administration and Deployment >
Expand All
Collapse All
Preparing for Network Deployment

In most cases, you may install using the default settings. The language and default units are based on the country you selected in the License Agreement dialog. After install, you can use content and units from different regions by selecting them from the Content Selection screen.

By default, templates and content are installed appropriate to the country, units, and usage you selected. You can review this default content and make changes here.

To prepare for a deployment, you should take the time to review the following requirements and options.

Deployment checklist

  • Review the system requirements. Confirm your network, servers, and client workstations meet the system requirements.
  • Understand the type of license you have purchased. For a network license deployment, you should also be familiar with the type of license server model you want to use, and the license server name(s) and MAC addresses.
  • Install and activate any support tools and utilities.
  • Locate your product serial number and product key. These are located on the outside of the product packaging, or in the Autodesk Upgrade and Licensing Information email message.
  • Identify the location, and create a shared folder where deployments will reside for each program you plan to deploy.
  • Close all other programs and disable anti-virus software.
  • Determine whether your deployment plan involves using imaging software to distribute your program(s) to client workstations.
  • Determine whether to create log files that contain deployment and installation data, and whether to run silent mode.
    NoteWhen the program is installed from a deployment using silent mode, users' systems automatically reboot without warning when the installation is complete. Silent mode also suppresses installation failures. They will only be recorded to the installation log file in the system temp folder.
  • Determine the name and location for the installation folder.
  • Determine your user preferences.
  • Check for service packs that might be available for your product.

Topics in this section

  • System Requirements for This Program
  • Administrative Permission Requirements
  • Locating Your Serial Number and Product Key
  • Creating a Network Share


System Requirements for This Program

Preparing for Network Deployment
Preparing for Network Deployment
Administrative Permission Requirements
Network Administration and Deployment > Preparing for Network Deployment >
Expand All
Collapse All
System Requirements for This Program

This section contains the system requirements for the location of the administrative image. If your system, servers, and workstations do not meet these minimum specifications, problems can occur, both within Quantity Takeoff and at the operating system level.

Whether your Windows operating system is the 32-bit or the 64-bit version, the version is automatically detected during installation. The appropriate version of Quantity Takeoff is installed.

A single deployment cannot target both Microsoft Windows 32 and Microsoft Windows 64 operating system architectures. To target both architectures, two separate deployments must be created. This selection can be made in the Deployment Creation dialog.

See the following tables for administrative image system requirements.

Hardware and software requirements for the location of the administrative image
Hardware/Software | Requirement | Notes
Hard disk | 550 MB (recommended) | The location where you create the administrative image must be a shared location so that users can access the administrative image.

Hardware and software requirements for the network license server
Hardware/Software | Requirement | Notes
Operating system | Windows® Vista® 32-bit Windows® XP® 32-bit Windows® 2003 Server Edition | The Network License Manager supports Ethernet network configurations only.
Computer/processor | Intel® Pentium® IV, 800 MHz 32-bit (x86) or 64-bit (x64) processor (or faster) |
Network interface card | Compatible with existing Ethernet network infrastructure | The Network License Manager supports multiple network interface cards.
Communication protocol | TCP/IP | The Network License Manager uses TCP packet types.
Hardware and software requirements for client machine
Hardware/Software | Requirement | Notes
Operating system | Windows® XP® Professional, SP2 Windows® Vista® | It is recommended that non-English language versions of Autodesk Quantity Takeoff be installed on an operating system with a user interface language that matches the code page of the Autodesk Quantity Takeoff language. A code page provides support for character sets used in different languages. For more information about Windows Vista versions, please see http://www.microsoft.com/windowsvista/versions.
Web browser | Microsoft® Internet Explorer 6.0, SP1 (or later) | You cannot install Autodesk Quantity Takeoff if Microsoft Internet Explorer 6.0, SP1 (or later) is not installed on the installation workstation. You can download Internet Explorer from the Microsoft website: http://www.microsoft.com/downloads/.
Processor | Intel® Pentium® IV, 800 MHz 32-bit (x86) or 64-bit (x64) processor (or faster) | Multiple processors supported Dual core supported
Memory (RAM) | 2 GB (minimum) 4 GB (recommended) |
Display Resolution | 1024 x 768 True Color (minimum) |
Display Card | 128 MB Video Adaptor Card (minimum) 256 MB or greater, Direct 3D compatible 3D Video Adaptor Card (recommended) | For more information about currently supported video cards, please see http://www.autodesk.com/autocad-graphicscard.
Hard disk | Installation: 550 MB |
Pointing device | Mouse, trackball or compatible pointing device |
DVD | Any speed (for installation only) |
Optional hardware | Printer or plotter Internet access Network interface card |


Administrative Permission Requirements

System Requirements for This Program
Preparing for Network Deployment
Locating Your Serial Number and Product Key
Network Administration and Deployment > Preparing for Network Deployment >
Expand All
Collapse All
Administrative Permission Requirements

To install Quantity Takeoff, you must have local administrator permissions. You do not need to have domain administrative permissions. See your system administrator for information about administrative permissions.

You do not need administrator permissions to run Quantity Takeoff. You can run the program as a limited user.


Locating Your Serial Number and Product Key

Administrative Permission Requirements
Preparing for Network Deployment
Creating a Network Share
Network Administration and Deployment > Preparing for Network Deployment >
Expand All
Collapse All
Locating Your Serial Number and Product Key

When you install Quantity Takeoff, you are prompted for your serial number and product key in the Product and User Information page, or the option of installing the product in trial mode. You may enter your product information at any time during your trial mode period if you opt to install the product in that mode.

The serial number and product key are located on the outside of the product packaging, or in the Autodesk® Upgrade and Licensing Information email. Make sure to have these available before you install the program so that you don't have to stop in the middle of the installation.

The serial number must contain a three-digit prefix followed by an eight-digit number. The product key consists of five characters.

The information you enter is permanently retained with the product. Because you can't change this information later without uninstalling, take care when entering the information. To review this product information later, select Help [image] About Autodesk Quantity Takeoff. In the About dialog, click the Product Information button.

Note If you have lost your serial number or product key, contact the Autodesk Business Center (ABC) at 800-538-6401 for assistance.


Creating a Network Share

Locating Your Serial Number and Product Key
Preparing for Network Deployment
Configuring Individual Products
Network Administration and Deployment > Preparing for Network Deployment >
Expand All
Collapse All
Creating a Network Share

Once you have fully prepared for creating a deployment, you are ready to set up and distribute Quantity Takeoff by creating a network share location (folder). A network share is an installation folder that you make available to users' computers on a network. You point users to this location to install the program.

A network, shared folder is required for network license and multi-seat stand-alone methods of installation. Any subfolders that are placed inside a network shared folder are automatically shared.

NoteYou must have Full Control permissions set for your shared folder when you are creating your deployment images. Read permissions are necessary to access the network share and administrative permissions on the workstation where the program is deployed.

To create a network share folder

  1. On your network server's desktop, create a folder named Deployments.
  2. Right-click the Deployments folder and click Share and Security (or Sharing).
  3. In the <folder name> Properties dialog box, Sharing tab, select Share This Folder.
  4. Specify a Share Name, such as Deployments, if necessary.
  5. Click the Permissions button. In the Permissions dialog box enter your group or user names, and make sure Full Control is selected. Click OK.

    In Vista, right-click the Deployments folder and then click Share. In the File Sharing dialog box type in or browse to the name of the group or user you want to share the folder with. Click Add, and then click Share.

  6. For each product you plan to install, create a subfolder in the Deployments folder. Name each folder with the pertinent product name.


Configuring Individual Products

Creating a Network Share
Network Administration and Deployment
Deployment Options
Network Administration and Deployment >
Expand All
Collapse All
Configuring Individual Products

You can create a deployment that uses the default product settings, or you can configure each product to be included in the deployment. To configure a product, on the Create Deployment page of the deployment wizard, select the appropriate product from the drop-down list, and click Configure.

The following configuration options are available:

  • Select the License Type.
  • Application Preferences (language, default units and usage, creation of a desktop shortcut, and the installation folder).
  • Define File Locations.

When you finish selecting options, click Configuration Complete. The Create Deployment page is redisplayed, where you can confirm your selections. Click Create Deployment.

NoteTo retain a copy of your settings, click Copy to Clipboard.

If you do not want to make configuration changes on the Create Deployment page, click Create Deployment. Then click Yes to continue creating your deployment using the default configuration.


Deployment Options

Configuring Individual Products
Network Administration and Deployment
Selecting a License Type
Network Administration and Deployment >
Expand All
Collapse All
Deployment Options

When you create a deployment, you will make several choices during the process to create various client deployment images and deployment types. The following sections outline your choices in more detail.

Topics in this section

  • Selecting a License Type
  • Entering User and Product Information
  • Creating Log Files
  • What is Silent Mode?
  • Customer Involvement Program
  • Including Service Packs


Selecting a License Type

Deployment Options
Deployment Options
Entering User and Product Information
Network Administration and Deployment > Deployment Options >
Expand All
Collapse All
Selecting a License Type

When you set up your deployment, you choose the type of installation to deploy based on the type of software license you purchased: stand-alone or network. You also select the network license server model you want to use to distribute product licenses.

NoteDepending on the type of option you choose on the configuration page, stand-alone or network license, note that you must use the same type of installation for all those products in your deployment session. If you select products that do not support the type of license you purchased, you will not be able to activate those products.

Specify the license type to use during deployment

Stand-alone license

For a stand-alone license, you install, register, and activate the program on each workstation.

Network license

With this type of installation, you install the program to workstations with the files and registry entries that allow the program to communicate with the Network License Manager. You also configure the Network License Manager so that the licenses can be accessed. Workstations running the program based on a network installation do not require individual activation. Licensing of this program is managed by at least one license server.

To deploy a stand-alone license

  1. While creating a deployment, on the elect the License Type page, select Stand-alone License.
  2. Click Next.

Specify the license server model during deployment

If you choose the Network License option, you need to decide which license server model to use to distribute your product licenses - single, distributed or redundant license server model.

To deploy a network license using a single license server model
  1. While creating a deployment, on the Select the License Type page, select the Network license option.
  2. Select Single License Server as the license server model you want to use with the Network License Manager.

    If you have already used the Network License Manager to create a license server model, you must select the same license server model in this step. If you have not yet used the Network License Manager to create a license server model, make sure that you select the same settings in the Network License Manager that you choose here.

  3. Enter the server name of the server that will run the Network License Manager, or click the Browse button to locate the server. Click Next.
To deploy a network license using a distributed license server model
  1. While creating a deployment, on the Select the License Type page, select the Network license option.
  2. Select Distributed License Server as the license server model you want to use with the Network License Manager.

    If you have already used the Network License Manager to create a license server model, you must select the same license server model in this step. If you have not yet used the Network License Manager to create a license server model, make sure that you select the same settings in the Network License Manager that you choose here.

  3. Enter the name of one of the servers that will run the Network License Manager, or click the Browse button to locate the server. Click Add to add the server to the Server Pool. Once all the servers are added to the Server Pool list, use the Move Up and Move Down buttons to arrange the servers in the order you want them to be searched by a user's workstation. You must enter at least two servers. Click Next.
To deploy a network license using a redundant license server model
  1. While creating a deployment, on the Select the License Type page, select the Network License option.
  2. Select Redundant License Server as the license server model you want to use with the Network License Manager.

    If you have already used the Network License Manager to create a license server model, you must select the same license server model in this step. If you have not yet used the Network License Manager to create a license server model, make sure that you select the same settings in the Network License Manager that you choose here.

  3. In the First Server Name field, enter a server name of one server that will run the Network License Manager, or click the Browse button to locate the server. Enter the server names for the remaining two servers that you will use in the redundant server pool. Click Next.


Entering User and Product Information

Selecting a License Type
Deployment Options
Creating Log Files
Network Administration and Deployment > Deployment Options >
Expand All
Collapse All
Entering User and Product Information

The User and Product Information page is used to personalize the program for your environment. The information you enter is permanently retained with the product and is displayed in the Help menu on all workstations. Because you can't change this information later without uninstalling, take care when entering the information.

You must also enter the product serial number and product key in order to run the product. The serial number and product key are located on the outside of the product packaging, or in the Autodesk Upgrade and Licensing Information email. The serial number must contain a three-digit prefix followed by an eight-digit number. The product key consists of five characters.

The information you enter is permanently retained with the product and can be reviewed at any of the client workstations. Select Help [image] About Autodesk Quantity Takeoff. In the About dialog, click the Product Information button.


Creating Log Files

Entering User and Product Information
Deployment Options
What is Silent Mode?
Network Administration and Deployment > Deployment Options >
Expand All
Collapse All
Creating Log Files

From the General Deployment Settings dialog, you can setup two types of log files with which you can monitor information about deployments and installations.

  • Create network log. The network log file keeps a record of all workstations that run the deployment. On the General Deployment Settings page, you choose whether or not to create a network log file. The log lists the user name, workstation name, and the status of the installation. Refer to this file for status information and details about problems that users encountered during installation (for example, low disc space or inadequate permissions).

    The network log is named with the same name you chose for your deployment. You can specify where the log file is created by entering either a valid UNC (universal naming convention) path or hard-coded path on your network, for example \\MyComputer\Autodesk\<Autodesk product>. Users should use their actual computer name in place of MyComputer.

    NoteThe folder where the network log resides must be a shared folder where users who install the program have Change permissions. Otherwise, successes or failures for user installations cannot be written to the log file.
  • Create client log. The client log contains detailed installation information for each workstation. This information may be useful in diagnosing installation problems. The client log is located in the %Temp% directory of each client workstation.


What is Silent Mode?

Creating Log Files
Deployment Options
Customer Involvement Program
Network Administration and Deployment > Deployment Options >
Expand All
Collapse All
What is Silent Mode?

When silent mode is active and a user initiates the deployment, the installation proceeds without any explicit user input. Users cannot change any of your installation settings. No dialog boxes are presented that require interaction from the user.

WarningWhen the product is installed from a deployment using silent mode, users' systems will reboot automatically and without warning when the installation is complete.


Customer Involvement Program

What is Silent Mode?
Deployment Options
Including Service Packs
Network Administration and Deployment > Deployment Options >
Expand All
Collapse All
Customer Involvement Program

The Autodesk Customer Involvement Program (CIP) provides Autodesk with a method for gathering and analyzing data on how Autodesk customers use our products. By participating in the program, you add valuable input that helps Autodesk product managers, designers, engineers, and testers understand how to best improve your overall experience with Autodesk software.

The CIP collects product-usage and customer-system data and sends it electronically to Autodesk. We then analyze the data and produce reports on a range of technical and business topics, from ways to improve product performance to determining the best position for Autodesk product suites in the marketplace.

Without interruption, the CIP collects up to 100 K of data daily.

This information could include:

  • Total hours product is in use
  • Product commands used
  • Hardware configurations, such as CPU type, memory, and input devices
  • Adjacent Autodesk products installed and used.

This data helps Autodesk determine:

  • Necessary video cards to support
  • Operating systems to use for testing the software
  • Percentage of customers finding and using new or enhanced product features
  • Bundled-software components customers use most
  • Autodesk products customers use most often on the same machine.


Including Service Packs

Customer Involvement Program
Deployment Options
Creating a Default Deployment
Network Administration and Deployment > Deployment Options >
Expand All
Collapse All
Including Service Packs

You have the option to include service packs for your product. You can select a locally stored (local hard drive or local network) service pack. In either case, the service pack will be applied only after the installation of the main product is completed.

NoteIf the deployment process for the main product is canceled or fails, the service pack installation will automatically be canceled.
  • Append the Service Packs onto the Deployment. When you append a service pack, the service pack is applied to the current deployment only. Multiple service packs may be appended to a deployment. The service pack file is included in the deployment and the service pack is applied after the product is deployed.
  • Merge the Service Packs into the Administrative Image MSI File. When you merge a service pack, the service pack is merged into the administrative image. Once a service pack or update is merged to a deployment, it cannot be removed. Service packs or updates cannot be added to the deployment later.

To extract a Microsoft Installer Patch (MSP) file from a service pack

  1. Download the service pack from the Quantity Takeoff support site.
  2. Review the service pack Readme file for information about patch usage.
  3. Open a Windows command prompt and enter the patch file name followed by the /e switch and a target file name, such as:

    ProductSP1.exe /e ./ProductSP1.msp

    where <ProductSP1.exe> is the name of the downloaded patch and <ProductSP1.msp> is the name of the extracted file. Using './' in front of the extraction file name places the extracted file in the same folder as the original executable. The "e" command line switch extracts the MSP file from the executable.

To include a service pack with the deployment

  1. To include a service pack with a deployment, an MSP file must be extracted from the downloaded service pack executable.
  2. On the Include Service Packs page, click the Browse button.
  3. In the Open dialog box, locate the service pack you want to include with the deployment.
  4. Select the MSP file and click Open.
  5. Specify whether you want to append the service pack to the deployment or merge the service pack into the administrative image.
  6. Click Next.


Creating a Default Deployment

Including Service Packs
Network Administration and Deployment
Creating a Custom Deployment
Network Administration and Deployment >
Expand All
Collapse All
Creating a Default Deployment

If you do not plan to customize your deployment, you can create a default deployment.

The following procedure illustrates how quickly you can set up a default deployment using the deployment wizard. This procedure illustrates a stand-alone license network deployment using a Typical installation with no customizations. For information about customizing product configurations in a deployment, see Creating a Custom Deployment.

To create a deployment using default settings

  1. Start the Quantity Takeoff Installation wizard.
  2. Click Create Deployments.
  3. On the Begin Deployment page, specify the following:
    • Administrative Image Field. Enter or locate the path to the shared network location where you want to create and store your administrative image. Users install the program from this location.
    • NoteFor information on how to create a network share, see Creating a Network Share.
      Deployment Name Field. Enter the new deployment's name. This name is used for the shortcut from which users will install the product.
    • This is to be a: Select either 32-bit or 64-bit for your target operating system.

      Click Next.

  4. On the Select the Products to Include in the Deployment page, select additional products to include in your deployment. Click Next.
  5. Review the Autodesk software license agreement. Click I Accept, and then click Next.
  6. On the User and Product Information page, enter your user information, serial number, and product key.

    Click Next.

    NoteAfter you install, you cannot change the information entered on this page unless you uninstall the product.
  7. On the General Deployment Settings page specify whether to
    • Create a network log file. Specify the log file's location by entering either a valid UNC (universal naming convention) path or a hard-coded path on your network.
      NoteThe folder that contains the network log file must be a shared folder for which users who install the program have Change permissions. Otherwise, successes or failures for user installations cannot be written to the log file.
    • Create a client log file.
    • Run the installation in silent mode to prevent users from changing installation settings.

      For more information on log files, see Creating Log Files. For more information on silent mode, see What is Silent Mode?.

      Click Next.

  8. On the Review - Configure - Create Deployments page, click Create Deployment. Click Yes to continue creating the deployment using the default configuration.

    An administrative image is created in your shared folder using the deployment options listed in Current Settings. To retain a copy of your deployment settings, click Copy to Clipboard.

  9. On the Deployment Complete page, click Create Deployment.


Creating a Custom Deployment

Creating a Default Deployment
Network Administration and Deployment
Modifying a Deployment
Network Administration and Deployment >
Expand All
Collapse All
Creating a Custom Deployment

To alter your deployment by removing features or restricting access to online resources, customize the configuration of each product included in the deployment.

To create a custom deployment

  1. Start the Quantity Takeoff Installation wizard.
  2. Click Create Deployments.
  3. On the Begin Deployment page, specify the following:
    • Administrative Image Field. Enter or locate the path to the shared network location where you want to create and store your administrative image. Users install the program from this location.
    • NoteFor information on how to create a network share, see Creating a Network Share.
      Deployment Name Field. Enter the new deployment's name. This name is used for the shortcut from which users will install the product.
    • This is to be a: Select either 32-bit or 64-bit for your target operating system.

      Click Next.

  4. On the Select the Products to Include in the Deployment page, select additional products to include in your deployment. Click Next.
  5. Review the Autodesk software license agreement. Click I Accept, and then click Next.
  6. On the User and Product Information page, enter your user information, serial number, and product key.

    Click Next.

    NoteAfter you install, you cannot change the information entered on this page unless you uninstall the product.
  7. On the General Deployment Settings page specify whether to
    • Create a network log file. Specify the log file's location by entering either a valid UNC (universal naming convention) path or a hard-coded path on your network.
      NoteThe folder that contains the network log file must be a shared folder for which users who install the program have Change permissions. Otherwise, successes or failures for user installations cannot be written to the log file.
    • Create a client log file.
    • Run the installation in silent mode to prevent users from changing installation settings.

      For more information on log files, see Creating Log Files. For more information on silent mode, see What is Silent Mode?.

      Click Next.

  8. On the Review - Configure - Create Deployments page, click Configure to customize the product configuration.
  9. On the Select the License Type page, select Stand-alone or Network license.
    NoteIf Network License is selected, Select a License Type and define the Network License Manager server.

    Click Next.

  10. On the Select the Installation Type page select:
    • Typical to include all additional Quantity Takeoff features.
    • Custom to specify the installation of Documentation, Samples, Catalogs, or no further features.

    Specify the installation path and click Next.

  11. On the Include Service Pack page specify any available service packs. If included, determine whether to Append the Service Packs onto the deployment or to Merge the Service Packs into the Administrative Image MSI File. See Including Service Packs.
  12. On the Configuration Complete page, select a product tab to configure another product, or click Configuration Complete to review your settings.
  13. On the Create Deployment page, click Create Deployment. To retain a copy of your deployment settings, click Copy to Clipboard.
  14. On the Deployment Complete page, click Finish.


Modifying a Deployment

Creating a Custom Deployment
Network Administration and Deployment
Pointing Users to an Administrative Image
Network Administration and Deployment >
Expand All
Collapse All
Modifying a Deployment

After a deployment is created, it may be necessary to modify the deployment for some client workstations. You can apply a patch or include various custom files that are not part of the base administrative image. You can also perform modifications such as changing the installation directory from drive C to drive D.

To modify a document

  1. Open the shared network folder where you originally chose to place your product deployment.
  2. In the Tools folder, double-click the Create & Modify a Deployment shortcut. The deployment wizard is redisplayed.
  3. Click through the deployment pages and make the necessary changes.
  4. Click Create Deployment.


Pointing Users to an Administrative Image

Modifying a Deployment
Network Administration and Deployment
Network Administration and Deployment >
Expand All
Collapse All
Pointing Users to an Administrative Image

When you are done creating the deployment, users can install the program using the shortcut located with the administrative image. The shortcut name matches the deployment name that you specified in the deployment wizard. Notify users of the location of the administrative image, instruct them to double-click the shortcut, and provide any other necessary instructions.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!